﻿// THIS CODE HAS BEEN GENERATED BY THE XamlGenerator TOOL AND WILL BE OVERWRITTEN. DO NOT CHANGE OR REMOVE !
#region AUTOGENERATED CODE

using TimeLine.Framework;

namespace WVG_Warengruppen
{
	/// <summary>
    /// The wndAlutecWarenGrp xWindowhandlingObject
    /// </summary>
    public partial class wndAlutecWarenGrp
    {
		#region Properties



		#endregion

        #region Controls

		/// <summary>
		/// Gets the dgAlutecWarengrp TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpTable,TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpRow>
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpTable,TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpRow> dgAlutecWarengrp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxDataGrid<TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpTable,TimeLine.TypedDataSets.Xaml.dsAlutecWarenGrp_alutec_warengrpRow>>("dgAlutecWarengrp"); } }

		/// <summary>
		/// Gets the txtAlutecWarengrpIdColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtAlutecWarengrpIdColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtAlutecWarengrpIdColumn"); } }

		/// <summary>
		/// Gets the txtAlutecWarengrpBezColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtAlutecWarengrpBezColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtAlutecWarengrpBezColumn"); } }

		/// <summary>
		/// Gets the txtAlutecWarengrpEbeneColumn TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn
		/// </summary>
		private global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn txtAlutecWarengrpEbeneColumn { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.DX.Grid.DxTextBoxColumn>("txtAlutecWarengrpEbeneColumn"); } }

		/// <summary>
		/// Gets the miNew TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miNew { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miNew"); } }

		/// <summary>
		/// Gets the miSave TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miSave { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miSave"); } }

		/// <summary>
		/// Gets the miDelete TimeLine.Client.Controls.xMenuItem
		/// </summary>
		private global::TimeLine.Client.Controls.xMenuItem miDelete { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xMenuItem>("miDelete"); } }


        #endregion

		#region Events

		public override void RegisterDesignerEvents()
		{

		}

		public override void UnregisterDesignerEvents()
		{

		}

		#endregion
    }
}
#endregion
